
@decorate_inv_paint
def inv_paint_lines_csv(lines):
    return "", lines.replace(",", "<br>")


inventory_displayhints.update({
    ".software.applications.docker.": {
        "icon": "docker",
        "title": "Docker",
        "keyorder": [ "version", "num_containers_total", "num_containers_running", "num_containers_stopped",
                      "num_containers_paused", "num_images", "registry" ],
    },
    ".software.applications.docker.num_containers_total": {
        "title": _("# Containers"),
    },
    ".software.applications.docker.num_containers_running": {
        "title": _("# Containers running"),
    },
    ".software.applications.docker.num_containers_stopped": {
        "title": _("# Containers stopped"),
    },
    ".software.applications.docker.num_containers_paused": {
        "title": _("# Containers paused"),
    },
    ".software.applications.docker.num_images": {
        "title": _("# Images"),
    },

    ".software.applications.docker.images:": {
        "title" : _("Images"),
        "keyorder": ["id", "creation", "size", "labels", "amount_containers", "repotags", "repodigests"],
        "view" : "invdockerimages_of_host",
    },
    ".software.applications.docker.images:*.id": {
        "title" : _("ID"),
    },
    ".software.applications.docker.images:*.labels": {
        "paint" : "docker_labels",
    },
    ".software.applications.docker.images:*.amount_containers" : {
        "title" : _("# Containers"),
    },
    ".software.applications.docker.images:*.repotags": {"title": _("Repository/Tag"), "paint": "lines_csv"},
    ".software.applications.docker.images:*.repodigests": {"title": _("Digests"), "paint": "lines_csv"},
    # Node containers
    ".software.applications.docker.containers:": {
        "title" : _("Containers"),
        "keyorder": ["id", "name", "creation", "labels", "status"],
        "view" : "invdockercontainers_of_host",
    },
    ".software.applications.docker.containers:*.id": {
        "title" : _("ID"),
    },
    ".software.applications.docker.containers:*.labels": {
        "paint" : "docker_labels",
    },

    ".software.applications.docker.networks.*.": {
        "title": "Network %s",
    },
    ".software.applications.docker.networks.*.network_id": {
        "title": "Network ID",
    },

    ".software.applications.docker.container.": {
        "title" : _("Container"),
    },
    ".software.applications.docker.container.node_name": {
        "title" : _("Node name"),
    },
    ".software.applications.docker.container.ports:": {
        "title" : _("Ports"),
        "keyorder" : ["port", "protocol", "host_addresses"],
    },

    ".software.applications.docker.container.networks:": {
        "title" : _("Networks"),
        "keyorder" : ["name", "ip_address", "ip_prefixlen", "gateway",
                      "mac_address", "network_id"],
    },
    ".software.applications.docker.container.networks:*.ip_address": {
        "title" : _("IP address"),
    },
    ".software.applications.docker.container.networks:*.ip_prefixlen": {
        "title" : _("IP Prefix"),
    },
    ".software.applications.docker.container.networks:*.mac_address": {
        "title" : _("MAC address"),
    },
    ".software.applications.docker.container.networks:*.network_id": {
        "title" : _("Network ID"),
    },

    ".software.applications.docker.networks.*.containers:": {
        "keyorder" : ["name", "id", "ipv4_address", "ipv6_address", "mac_address"],
    },
    ".software.applications.docker.networks.*.containers:*.id": {
        "title" : _("ID"),
    },
    ".software.applications.docker.networks.*.containers:*.ipv4_address": {
        "title" : _("IPv4 address"),
    },
    ".software.applications.docker.networks.*.containers:*.ipv6_address": {
        "title" : _("IPv6 address"),
    },
    ".software.applications.docker.networks.*.containers:*.mac_address": {
        "title" : _("MAC address"),
    },
})
